## Name

PWD/PXD — Print Working Directory / Print Execution Directory

## Synopsis

`pwd`

`pxd`

## Description

Pwd displays a pathlist that shows the path from the root directory to the user's current data directory. It can be used by programs to discover the actual physical location of files, or by humans who get lost in the file system. Pxd is identical except that is shows the pathlist of the user's current execution directory.

## Examples

    OS9: chd /D1/STEVE/TEXTFILES/MANUALS
    OS9: pwd
    /D1/STEVE/TEXTFILES/MANUALS
    OS9: chd ..
    OS9: pwd
    /D1/STEVE/TEXTFILES
    OS9: chd ..
    OS9: pwd
    /D1/STEVE

    OS9: pxd
    /D0/CMDS